
From: Dmitry Torokhov <dtor_core@ameritech.net>

OK, when I switched the parameter processing to the new technique I missed
the fact that it requires specifying prefix (module name + '.') when the
module is compiled directly into the kernel. Therefore in the lastest -bk
you have to pass "psmouse.psmouse_noext=1" to the kernel for it to be.
recognized.

Since we already have an unique prefix (psmouse) for all parameters and
changing parameter names at this time is not desirable (IMHO) I propose
the patch below to restore the old behavior.

Suppress prefix generation for psmouse parameter names regardless of
whether psmouse is built as a module or compiled into the kernel image



 drivers/input/mouse/psmouse-base.c |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN drivers/input/mouse/psmouse-base.c~psmouse-parameter-parsing-fix drivers/input/mouse/psmouse-base.c
--- 25/drivers/input/mouse/psmouse-base.c~psmouse-parameter-parsing-fix	2003-12-29 22:43:46.000000000 -0800
+++ 25-akpm/drivers/input/mouse/psmouse-base.c	2003-12-29 22:43:46.000000000 -0800
@@ -22,6 +22,15 @@
 #include "synaptics.h"
 #include "logips2pp.h"
 
+/*
+ * Reset module param prefix regardless of whether we build psmouse as
+ * a module or directly into kernel, otherwise for build-in case
+ * parameters will have to be specified as psmouse.psmouse_proto which
+ * is unsightly
+ */
+#undef MODULE_PARAM_PREFIX
+#define MODULE_PARAM_PREFIX /* empty */
+
 MODULE_AUTHOR("Vojtech Pavlik <vojtech@suse.cz>");
 MODULE_DESCRIPTION("PS/2 mouse driver");
 MODULE_LICENSE("GPL");

_
